Bug 827628 - remote-viewer: [F11] key toggles fullscreen mode
remote-viewer: [F11] key toggles fullscreen mode
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: virt-viewer (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-01 18:05 EDT by Aram Agajanian
Modified: 2013-07-11 15:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-11 15:51:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Aram Agajanian 2012-06-01 18:05:13 EDT
Description of problem:
When using remote-viewer to access a virtual desktop in RHEV, I find that pressing the [F11] key will cause remote-viewer toggle fullscreen mode.

I believe that the [F11] key should not toggle fullscreen mode in remote-viewer.  Instead, the user should have to enter the key combination [Shift]-[F11].

Version-Release number of selected component (if applicable):
virt-viewer-0.5.3-1.fc17.x86_64

How reproducible:
Happens every time.

Steps to Reproduce:
1.  Start a virtual desktop in the RHEV User Portal.
2.  When the virtual desktop goes to a Ready status, double-click the picture to start remote-viewer in fullscreen mode.
3.  Press the [F11] key.
  
Actual results:
remote-viewer changes from fullscreen mode to windowed mode.

Expected results:
remote-viewer should send the [F11] keypress to the Guest OS.

Additional info:
remote-viewer is better at adjusting guest display resolution than spicec. :-)
Comment 1 Fedora End Of Life 2013-07-03 16:01:38 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Cole Robinson 2013-07-11 15:51:59 EDT
On f19, f11 is still the shortcut for fullscreen. However it seems like if a VM has keyboard focus, then the shortcut is disabled, so I can't find a way that changing the shortcut matters because it's never going to conflict with what is sent to the guest.

Closing as NOTABUG, but if you can reproduce with F19, feel free to reopen if you disagree.

Note You need to log in before you can comment on or make changes to this bug.